Subject: Re: [PATCH] PTI implicit declaration fix.

From: J Freyensee <[email-masked]>
Date: Mon, 11 Jul 2011 09:10:53 -0700

On 07/09/2011 01:08 AM, Geert Uytterhoeven wrote:
> On Fri, Jul 8, 2011 at 23:34,<[email-masked]>  wrote:
>> From: J Freyensee<[email-masked]>
>>
>> In a certain compile configuration, functions like
>> 'kmalloc' and 'copy_from_user' were coming up as
>> implicit errors.  This patch adds slab.h and
>> uaccess.h to the driver.
>>
>> Reported-by: Geert Uytterhoeven<[email-masked]>
>> Acked-by: Geert Uytterhoeven<[email-masked]>
>
> Please don't add "Acked-by" lines before people have ack'ed your patches.
>

Okay...so should I re-send this patch out without the Acked-by in it? 
Or is it okay this time and next time please do this?

>> Signed-off-by: J Freyensee<[email-masked]>
>> ---
>>   drivers/misc/pti.c |    2 ++
>>   1 files changed, 2 insertions(+), 0 deletions(-)
>>
>> diff --git a/drivers/misc/pti.c b/drivers/misc/pti.c
>> index 8653bd0..4ba4e5f 100644
>> --- a/drivers/misc/pti.c
>> +++ b/drivers/misc/pti.c
>> @@ -22,6 +22,8 @@
>>   */
>>
>>   #include<linux/init.h>
>> +#include<linux/slab.h>
>> +#include<linux/uaccess.h>
>>   #include<linux/sched.h>
>>   #include<linux/interrupt.h>
>>   #include<linux/console.h>
>
> Gr{oetje,eeting}s,
>
>                          Geert
>
> --
> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]
>
> In personal conversations with technical people, I call myself a hacker. But
> when I'm talking to journalists I just say "programmer" or something like that.
>                                  -- Linus Torvalds